### Function

# FwupdPlugin crc_misr16

since: 1.9.17

#### Declaration [src]

    guint16
    fu_crc_misr16 (
      guint16 init,
      const guint8* buf,
      gsize bufsz
    )

#### Description [src]

Returns the MISR check value for the given memory buffer.

Available since: 1.9.17

#### Parameters

`init`

  Type: `guint16`

  Initial value, typically 0x0.

`buf`

  Type: `const guint8*`

  Memory buffer.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  Size of `buf`.

#### Return value

Type: `guint16`

Value.